#!/bin/sh

PName='s'
Grep='grep'
Echo='echo'
Pkill='pkill'

Running=0

CURRENT_DIR=$(cd $(dirname $0); pwd)

run()
{
    getArch
	Command=`ps aux | grep -v grep | grep -c $PName ` 

	if [ $Command -eq 0 ];then
		Running=0
	else
		Running=1
	fi
}


getArch(){
    get_arch=`arch`
    if [ $get_arch = "x86_64" ];then
        PName='webapi_linux_amd64'
    elif [ $get_arch = "aarch64" ];then
        PName='webapi_linux_arm64'
    elif [ $get_arch = "mips64" ];then
        PName='webapi_linux_mips64le'
    elif [ $get_arch = "loongarch64" ];then
		PName='webapi_loong64'
	else
        echo "无法判断处理器类型，请检查!!"
    fi
}

start()
{
	run
	
	if [ $Running -eq 0 ];then
		cd $CURRENT_DIR/webserver &&  ./$PName &
	fi
    $Echo "xzx $PName is running"
}

stop()
{
	run

	if [ $Running -eq 1 ];then
		pkill -f $PName
        sleep 1
	fi
    status
}


status()
{
	run

	if [ $Running -eq 0 ];then
		$Echo "xzx $PName is stopped"
	else
		$Echo "xzx $PName is running"
	fi

}

case "$1" in
start)
	start
	;;
stop)
	stop
	;;
restart|reload)
	stop && start
	;;
status)
	status
	;;
*)
    echo "XZX Reader Webapi service"
	echo "Usage: $0 {start|stop|restart|reload|status}"
	exit 1
esac
